FSCK-LARCH(1)

NAME
fsck-larch - verify that a larch B-tree is internally consistent

SYNOPSIS
fsck-larch [--config=FILE] [--dump-config] [--dump-memory-profile=METHOD] [--dump-setting-names] [--fix] [--generate-manpage=TEMPLATE] [-h] [--help] [--help-all] [--list-config-files] [--log=FILE] [--log-keep=N] [--log-level=LEVEL] [--log-max=SIZE] [--log-mode=MODE] [--memory-dump-interval=SECONDS] [--no-default-configs] [--no-fix] [--output=FILE] [--trace=PATTERN] [--version] [FILE]...

DESCRIPTION
fsck-larch reads an on-disk, committed B-tree created by the larch Python library, and verifies that it is internally consistent. It reports any problems it finds, but does not currently fix them.

OPTIONS

--fix
    fix problems found?

--generate-manpage=TEMPLATE
    SUPPRESSHELP

-h, --help
    show this help message and exit

--no-fix

--output=FILE
    write output to FILE, instead of standard output

--trace=PATTERN
    add PATTERN to trace patterns

--version
    show program's version number and exit

  Configuration files and settings

--config=FILE
    add FILE to config files

--dump-config
    write out the entire current configuration

--dump-setting-names
    SUPPRESSHELP

--help-all
    show all options

--list-config-files
    SUPPRESSHELP

--no-default-configs
    clear list of configuration files to read

  Logging

--log=FILE
    write log entries to FILE (default is to not write log files at all); use "syslog" to log to system log, or "none" to disable logging

--log-keep=N
    keep last N logs (10)

--log-level=LEVEL
    log at LEVEL, one of debug, info, warning, error, critical, fatal (default: debug)

--log-max=SIZE
    rotate logs larger than SIZE, zero for never (default: 0)

--log-mode=MODE
    set permissions of new log files to MODE (octal; default 0600)

  Peformance

--dump-memory-profile=METHOD
    make memory profiling dumps using METHOD, which is one of: none, simple, or meliae (default: simple)

--memory-dump-interval=SECONDS
    make memory profiling dumps at least SECONDS apart

SEE ALSO
Larch home page (http://liw.fi/larch/).